Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.war.dto
Class ReportUnitWrapper

    java.lang.Object
      com.jaspersoft.jasperserver.war.dto.BaseDTO
          com.jaspersoft.jasperserver.war.dto.ReportUnitWrapper

All Implemented Interfaces:
  java.io.Serializable

    public class ReportUnitWrapper

extends BaseDTO

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.jaspersoft.jasperserver.war.dto.BaseDTO
`MODE_STAND_ALONE_EDIT, MODE_STAND_ALONE_NEW, MODE_SUB_FLOW_EDIT, MODE_SUB_FLOW_NEW`

Constructor Summary
`ReportUnitWrapper()`

Method Summary
`java.util.List` | `getExistingResources()`
`java.util.List` | `getInputControlList()`
`java.lang.String` | `getInputControlPath()`
`java.lang.String` | `getInputControlSource()`
`byte[]` | `getJrxmlData()`
`java.lang.String` | `getJrxmlUri()`
`java.lang.String` | `getOldJrxmlUri()`
`java.lang.String` | `getOriginalJrxmlUri()`
`java.util.List` | `getReports()`
`ReportUnit` | `getReportUnit()`
`boolean` | `getResult()`
`java.util.List` | `getReusableJrxmls()`
`java.lang.String` | `getSource()`
`java.util.List` | `getSuggestedControls()`
`java.util.List` | `getSuggestedResources()`
`java.lang.String` | `getValidationMessage()`
`boolean` | `isDatasourceIdentified()`
`boolean` | `isHasNonSuggestedControls()`
`boolean` | `isHasNonSuggestedResources()`
`boolean` | `isHasSuggestedControls()`
`boolean` | `isHasSuggestedResources()`
`boolean` | `isJrxmlChanged()`
`boolean` | `isJrxmlLocated()`
`boolean` | `isNamed()`
`void` | `setDatasourceIdentified(boolean datasourceIdentified)`
`void` | `setExistingResources(java.util.List existingResources)`
`void` | `setHasNonSuggestedControls(boolean hasNonSuggestedControls)`
`void` | `setHasNonSuggestedResources(boolean hasNonSuggestedResources)`
`void` | `setHasSuggestedControls(boolean hasSuggestedControls)`
`void` | `setHasSuggestedResources(boolean hasSuggestedResources)`
`void` | `setInputControlList(java.util.List inputControlList)`
`void` | `setInputControlPath(java.lang.String inputControlPath)`
`void` | `setInputControlSource(java.lang.String inputControlSource)`
`void` | `setJrxmlChanged(boolean jrxmlChanged)`
`void` | `setJrxmlData(byte[] jrxmlData)`
`void` | `setJrxmlLocated(boolean jrxmlLocated)`
`void` | `setJrxmlUri(java.lang.String jrxmlUri)`
`void` | `setNamed(boolean named)`
`void` | `setOldJrxmlUri(java.lang.String oldJrxmlUri)`
`void` | `setOriginalJrxmlUri(java.lang.String originalJrxmlUri)`
`void` | `setReports(java.util.List reports)`
`void` | `setReportUnit(ReportUnit reportUnit)`
`void` | `setResult(boolean result)`
`void` | `setReusableJrxmls(java.util.List reusableJrxmls)`
`void` | `setSource(java.lang.String source)`
`void` | `setSuggestedControls(java.util.List controlWrappers)`
`void` | `setSuggestedResources(java.util.List resourceWrappers)`
`void` | `setValidationMessage(java.lang.String validationMessage)`

Methods inherited from class com.jaspersoft.jasperserver.war.dto.BaseDTO
`getMode, isAloneEditMode, isAloneNewMode, isEditMode, isNewMode, isStandAloneMode, isSubEditMode, isSubflowMode, isSubNewMode, setMode`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ReportUnitWrapper

    public ReportUnitWrapper()

Method Detail

### isHasNonSuggestedResources

    public boolean isHasNonSuggestedResources()

### setHasNonSuggestedResources

    public void setHasNonSuggestedResources(boolean hasNonSuggestedResources)

### isHasSuggestedResources

    public boolean isHasSuggestedResources()

### setHasSuggestedResources

    public void setHasSuggestedResources(boolean hasSuggestedResources)

### isDatasourceIdentified

    public boolean isDatasourceIdentified()

### setDatasourceIdentified

    public void setDatasourceIdentified(boolean datasourceIdentified)

### isNamed

    public boolean isNamed()

### setNamed

    public void setNamed(boolean named)

### isJrxmlChanged

    public boolean isJrxmlChanged()

### setJrxmlChanged

    public void setJrxmlChanged(boolean jrxmlChanged)

### getSource

    public java.lang.String getSource()

### setSource

    public void setSource(java.lang.String source)

### getReusableJrxmls

    public java.util.List getReusableJrxmls()

### setReusableJrxmls

    public void setReusableJrxmls(java.util.List reusableJrxmls)

### getReportUnit

    public ReportUnit getReportUnit()

### setReportUnit

    public void setReportUnit(ReportUnit reportUnit)

### getOldJrxmlUri

    public java.lang.String getOldJrxmlUri()

### setOldJrxmlUri

    public void setOldJrxmlUri(java.lang.String oldJrxmlUri)

### getOriginalJrxmlUri

    public java.lang.String getOriginalJrxmlUri()

### setOriginalJrxmlUri

    public void setOriginalJrxmlUri(java.lang.String originalJrxmlUri)

### isJrxmlLocated

    public boolean isJrxmlLocated()

### setJrxmlLocated

    public void setJrxmlLocated(boolean jrxmlLocated)

### getJrxmlData

    public byte[] getJrxmlData()

### setJrxmlData

    public void setJrxmlData(byte[] jrxmlData)

### getJrxmlUri

    public java.lang.String getJrxmlUri()

### setJrxmlUri

    public void setJrxmlUri(java.lang.String jrxmlUri)

### getSuggestedControls

    public java.util.List getSuggestedControls()

### setSuggestedControls

    public void setSuggestedControls(java.util.List controlWrappers)

### getSuggestedResources

    public java.util.List getSuggestedResources()

### setSuggestedResources

    public void setSuggestedResources(java.util.List resourceWrappers)

### isHasNonSuggestedControls

    public boolean isHasNonSuggestedControls()

### setHasNonSuggestedControls

    public void setHasNonSuggestedControls(boolean hasNonSuggestedControls)

### isHasSuggestedControls

    public boolean isHasSuggestedControls()

### setHasSuggestedControls

    public void setHasSuggestedControls(boolean hasSuggestedControls)

### getResult

    public boolean getResult()

### setResult

    public void setResult(boolean result)

### getReports

    public java.util.List getReports()

### setReports

    public void setReports(java.util.List reports)

### getValidationMessage

    public java.lang.String getValidationMessage()

### setValidationMessage

    public void setValidationMessage(java.lang.String validationMessage)

### getExistingResources

    public java.util.List getExistingResources()

### setExistingResources

    public void setExistingResources(java.util.List existingResources)

### getInputControlList

    public java.util.List getInputControlList()

### setInputControlList

    public void setInputControlList(java.util.List inputControlList)

### getInputControlPath

    public java.lang.String getInputControlPath()

### setInputControlPath

    public void setInputControlPath(java.lang.String inputControlPath)

### getInputControlSource

    public java.lang.String getInputControlSource()

### setInputControlSource

    public void setInputControlSource(java.lang.String inputControlSource)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.